Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055477 - Missing dependencie on package sigil
Summary: Missing dependencie on package sigil
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 11:03 UTC by Mildred
Modified: 2015-06-29 14:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:36:16 UTC


Attachments (Terms of Use)

Description Mildred 2014-01-20 11:03:53 UTC
Description of problem:
I installed sigil using the new GNOME software center, but it seems there are some dependencies missing.

Version-Release number of selected component: sigil-0.7.4-1.fc20.x86_64


Steps to Reproduce:
1. install sigil
2. run sigil in a shell

Actual results:

sigil: error while loading shared libraries: libQt5Widgets.so.5: cannot open shared object file: No such file or directory

(installed qt5-qtbase-gui-5.2.0-1.fc20.x86_64.rpm)

sigil: error while loading shared libraries: libQt5WebKit.so.5: cannot open shared object file: No such file or directory

(installed qt5-qtwebkit-5.2.0-1.fc20.x86_64.rpm)

sigil: error while loading shared libraries: libQt5Quick.so.5: cannot open shared object file: No such file or directory

(installed qt5-qtdeclarative-5.2.0-2.fc20.x86_64.rpm)
(and then it works)

Comment 1 Dan Horák 2014-01-20 11:29:07 UTC
the dependencies are set correctly in the rpm and installing with yum installs them all, so maybe something with the Software Center

Comment 2 Fedora End Of Life 2015-05-29 10:35:25 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 14:36:16 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.